import { GraphQLList, GraphQLNonNull, GraphQLScalarType } from 'graphql';
import type { Column } from 'drizzle-orm';
import type { ConvertedColumn } from './types';
export declare const drizzleColumnToGraphQLType: (column: Column, forceNullable?: boolean, defaultIsNullable?: boolean) => ConvertedColumn | {
    type: GraphQLNonNull<GraphQLScalarType<unknown, unknown> | GraphQLNonNull<GraphQLScalarType<unknown, unknown>> | GraphQLList<GraphQLScalarType<unknown, unknown>> | GraphQLList<GraphQLNonNull<GraphQLScalarType<unknown, unknown>>> | GraphQLNonNull<GraphQLList<GraphQLScalarType<unknown, unknown>>> | GraphQLNonNull<GraphQLList<GraphQLNonNull<GraphQLScalarType<unknown, unknown>>>>>;
    description: string | undefined;
};
export * from './types';
