import { type Column, type Table } from 'drizzle-orm';
export declare const remapToGraphQLCore: (value: any) => any;
export declare const remapToGraphQLSingleOutput: (queryOutput: Record<string, any>) => Record<string, any>;
export declare const remapToGraphQLArrayOutput: (queryOutput: Record<string, any>[]) => Record<string, any>[];
export declare const remapFromGraphQLCore: (value: any, column: Column, columnName: string) => any;
export declare const remapFromGraphQLSingleInput: (queryInput: Record<string, any>, table: Table) => Record<string, any>;
export declare const remapFromGraphQLArrayInput: (queryInput: Record<string, any>[], table: Table) => Record<string, any>[];
