import { TablesRelationalConfig } from 'drizzle-orm';
import type { AnyDrizzleDB, GeneratedData } from './types';
export declare const buildVanillaSchema: <TDbClient extends AnyDrizzleDB<TClientConfig>, TClientConfig extends TablesRelationalConfig, TSchema extends Record<string, unknown>>(db: TDbClient, schema: TSchema) => GeneratedData<TDbClient, TSchema>;
export * from './types';
